import os
import configparser

#small script to write a config.ini with available modules

def create_config():
    config = configparser.ConfigParser()
    directory = os.fsencode('xml_configs')
    available_modules = []
    for file in os.listdir(directory):
        filename = os.fsdecode(file)
        if filename.endswith("default.xml"):
            available_modules.append(filename.split('_')[0])
    config['available_Modules']={'modules':','.join(available_modules)}

    with open('xml_configs/config.ini', 'w') as configfile:
        config.write(configfile)

if __name__ == '__main__':
    create_config()
    config = configparser.ConfigParser()
    config.read('xml_configs/config.ini')
    print(config['available_Modules']['modules'].split(','))



